import { tAuthenticityPhotoIdentCheckResultType } from '../../../../../../../../../../models';
import { eCheckDiagnose, eCheckResult } from '../../../../../../../../../../consts';
import { aAuthenticityCheck } from '../authenticity-check.abstract';
import { iRLocation, RLocation } from './children';
/**
* Authenticity IPI check list item
*/
export interface iRAuthenticityPhotoIdentCheck extends aAuthenticityCheck {
    /**
    * Feature type
    * @type {tAuthenticityPhotoIdentCheckResultType}
    */
    checkType: tAuthenticityPhotoIdentCheckResultType;
    /**
    * Area location
    * @type {iRLocation|undefined}
    */
    location?: iRLocation;
    /**
    * Located image fragment
    * @type {string}
    */
    image: string;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
}
/**
* Authenticity IPI check list item
*/
export declare class RAuthenticityPhotoIdentCheck extends aAuthenticityCheck implements iRAuthenticityPhotoIdentCheck {
    /**
    * Feature type
    * @type {tAuthenticityPhotoIdentCheckResultType}
    */
    checkType: tAuthenticityPhotoIdentCheckResultType;
    /**
    * Area location
    * @type {RLocation|undefined}
    */
    location?: RLocation;
    /**
    * Located image fragment
    * @type {string}
    */
    image: string;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Create instance of RAuthenticityIpiCheckListItem from plain object
    * @param {any} input - plain object
    * @returns {RAuthenticityPhotoIdentCheck}
    */
    static fromPlain: (input: any) => RAuthenticityPhotoIdentCheck;
    /**
    * Check if the given object is an instance of RAuthenticityIpiCheckListItem
    * @param {unknown} type - object to check
    * @returns {type is RAuthenticityPhotoIdentCheck} - result
    */
    static isBelongs: (type: unknown) => type is RAuthenticityPhotoIdentCheck;
}
